path: /build/build/htop-sys-process-3.2.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    USE="-hwloc -lm-sensors" emerge sys-process/htop -pv -t
  - |
    USE="-hwloc -lm-sensors" emerge -j ${JOBS} --nodeps sys-process/htop
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/htop && luet-portage --dir
    /pkgdir/htop sys-process/htop
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-systemd-dev-tree:52729f815f08ea0028e2789df33500a2e83b4ed981776ef2eae3957e4900e52f
  package:
    id: 0
    name: htop
    version: 3.2.2
    category: sys-process
    useflags:
    - -hwloc
    - -lm-sensors
    state: ""
    packagerequires:
    - id: 0
      name: macaroni-funtoo-base
      version: '>=0'
      category: seed
      useflags: []
      state: ""
      packagerequires: []
      packageconflicts: []
      provides: []
      hidden: false
      annotations: {}
      path: ""
      description: ""
      uri: []
      license: ""
      buildtimestamp: ""
      labels: {}
      treedir: ""
      repository: ""
    packageconflicts: []
    provides: []
    hidden: false
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    path: ""
    description: interactive process viewer
    uri:
    - https://htop.dev/ https://github.com/htop-dev/htop
    license: BSD GPL-2
    buildtimestamp: 2023-03-25 19:02:27.620937354 +0000 UTC m=+166.222438614
    labels:
      BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4
      DEPEND: sys-libs/ncurses:0= hwloc? ( sys-apps/hwloc ) lm_sensors? ( sys-apps/lm_sensors
        ) || ( dev-lang/python:3.10 dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7
        ) dev-util/desktop-file-utils x11-misc/shared-mime-info
      IUSE: debug hwloc kernel_FreeBSD kernel_linux lm_sensors openvz unicode vserver
        kernel_linux
      RDEPEND: sys-libs/ncurses:0= hwloc? ( sys-apps/hwloc ) lm_sensors? ( sys-apps/lm_sensors
        )
      emerge.packages: sys-process/htop
      kit: core-kit
      original.package.name: sys-process/htop
      original.package.slot: "0"
      original.package.version: 3.2.2
    treedir: /build/packages
    repository: ""
  package_dir: /pkgdir/htop
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f791d11a4b52b644224b55e65755f00b2080378314bf51c5f0e94fb72f478676
compressiontype: zstd
files:
- usr/bin/htop
- usr/share/applications/htop.desktop
- usr/share/doc/htop-3.2.2/ChangeLog.bz2
- usr/share/doc/htop-3.2.2/README.bz2
- usr/share/icons/hicolor/scalable/apps/htop.svg
- usr/share/man/man1/htop.1.bz2
- usr/share/pixmaps/htop.png
- var/db/pkg/sys-process/htop-3.2.2/BDEPEND
- var/db/pkg/sys-process/htop-3.2.2/BUILD_TIME
- var/db/pkg/sys-process/htop-3.2.2/CATEGORY
- var/db/pkg/sys-process/htop-3.2.2/CBUILD
- var/db/pkg/sys-process/htop-3.2.2/CFLAGS
- var/db/pkg/sys-process/htop-3.2.2/CHOST
- var/db/pkg/sys-process/htop-3.2.2/CONTENTS
- var/db/pkg/sys-process/htop-3.2.2/COUNTER
- var/db/pkg/sys-process/htop-3.2.2/CXXFLAGS
- var/db/pkg/sys-process/htop-3.2.2/DEFINED_PHASES
- var/db/pkg/sys-process/htop-3.2.2/DEPEND
- var/db/pkg/sys-process/htop-3.2.2/DESCRIPTION
- var/db/pkg/sys-process/htop-3.2.2/EAPI
- var/db/pkg/sys-process/htop-3.2.2/FEATURES
- var/db/pkg/sys-process/htop-3.2.2/HOMEPAGE
- var/db/pkg/sys-process/htop-3.2.2/INHERITED
- var/db/pkg/sys-process/htop-3.2.2/IUSE
- var/db/pkg/sys-process/htop-3.2.2/IUSE_EFFECTIVE
- var/db/pkg/sys-process/htop-3.2.2/KEYWORDS
- var/db/pkg/sys-process/htop-3.2.2/LDFLAGS
- var/db/pkg/sys-process/htop-3.2.2/LICENSE
- var/db/pkg/sys-process/htop-3.2.2/NEEDED
- var/db/pkg/sys-process/htop-3.2.2/PF
- var/db/pkg/sys-process/htop-3.2.2/RDEPEND
- var/db/pkg/sys-process/htop-3.2.2/REQUIRES
- var/db/pkg/sys-process/htop-3.2.2/SIZE
- var/db/pkg/sys-process/htop-3.2.2/SLOT
- var/db/pkg/sys-process/htop-3.2.2/USE
- var/db/pkg/sys-process/htop-3.2.2/environment.bz2
- var/db/pkg/sys-process/htop-3.2.2/htop-3.2.2.ebuild
- var/db/pkg/sys-process/htop-3.2.2/repository
package_cacheimage: ""
runtime:
  id: 0
  name: htop
  version: 3.2.2
  category: sys-process
  useflags:
  - -hwloc
  - -lm-sensors
  state: ""
  packagerequires:
  - id: 0
    name: ncurses
    version: '>=0'
    category: sys-libs
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: false
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: ""
    labels: {}
    treedir: ""
    repository: ""
  packageconflicts: []
  provides: []
  hidden: false
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  path: ""
  description: interactive process viewer
  uri:
  - https://htop.dev/ https://github.com/htop-dev/htop
  license: BSD GPL-2
  buildtimestamp: ""
  labels:
    BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
      || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4
    DEPEND: sys-libs/ncurses:0= hwloc? ( sys-apps/hwloc ) lm_sensors? ( sys-apps/lm_sensors
      ) || ( dev-lang/python:3.10 dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7
      ) dev-util/desktop-file-utils x11-misc/shared-mime-info
    IUSE: debug hwloc kernel_FreeBSD kernel_linux lm_sensors openvz unicode vserver
      kernel_linux
    RDEPEND: sys-libs/ncurses:0= hwloc? ( sys-apps/hwloc ) lm_sensors? ( sys-apps/lm_sensors
      )
    emerge.packages: sys-process/htop
    kit: core-kit
    original.package.name: sys-process/htop
    original.package.slot: "0"
    original.package.version: 3.2.2
  treedir: ""
  repository: ""
